Documentation Home
Connectors and APIs Manual
Download this Manual
PDF (US Ltr) - 4.1Mb
PDF (A4) - 4.1Mb


4.2 Connector/NET Versions

MySQL Connector/NET 8.4 is a continuation of Connector/NET 8.0, but now named to synchronize with the (latest) MySQL server version it supports. This version combines the functionality of the previous Connector/NET release series, including support for X Protocol connections. Connector/NET customizes Entity Framework Core to operate with MySQL data, enables compression in the .NET driver implementation, and extends cross-platform support to Linux and macOS.

Secure connections using the TLSv1.2 protocol require Connector/NET 8.0.11 or later. In addition, your Microsoft Windows host must have the TLSv1.2 protocol enabled. Connections made using Windows named pipes or shared memory do not support the TLSv1.2 protocol. For general guidance about configuring the server and clients for secure connections, see Configuring MySQL to Use Encrypted Connections.

Note

.NET 6, 7, and 8, and .NET Framework 4.6 (as of 8.4.0) and 4.8 include support for the TLSv1.3 protocol. Be sure to confirm that the operating system running your application also supports TLSv1.3 before using it exclusively for connections.

The following table shows the versions of ADO.NET, .NET (Core and Framework), and MySQL Server that are supported or required by MySQL Connector/NET. For the specific Entity Framework versions that Connector/NET targets, see Section 4.7, “Connector/NET for Entity Framework”.

Table 4.1 Connector/NET Requirements for Related Products

Connector/NET Version ADO.NET Version .NET Versions and Visual Studio MySQL Server
9.0.0 2.x+

For apps that target .NET 8, use VS 2022 (v17.8 or later)

For apps that target .NET 6, use VS 2022 (v17.0 and later) or VS 2022 for Mac (v17.6 or later)

For apps that target .NET Framework 4.8, use VS 2019 (v16.3 or later)

For apps that target .NET Framework 4.6.2, use VS 2017 (v15.9 or later)

MySQL 8.0 or later
8.4.0 2.x+

For apps that target .NET 8, use VS 2022 (v17.8 or later)

For apps that target .NET 7, use VS 2022 (v17.4 or later)

For apps that target .NET 6, use VS 2022 (v17.0 and later) or VS 2022 for Mac (v17.6 or later)

For apps that target .NET Framework 4.8, use VS 2019 (v16.3 or later)

For apps that target .NET Framework 4.6.2, use VS 2017 (v15.9 or later)

MySQL 8.0 or later

Archived Connector/NET versions and their requirements:

  • C/NET 8.3.0: .NET 8, use VS 2022 (v17.8 or later) | .NET 7, use VS 2022 (v17.4 or later) | .NET 6, use VS 2022 (v17.0 and later) or VS 2022 for Mac (v17.6 or later) | .NET Framework 4.8, use VS 2019 (v16.3 or later) | .NET Framework 4.6.2, use VS 2017 (v15.9 or later)

    Recommended server versions: MySQL 8.3, MySQL 8.0, or MySQL 5.7

  • C/NET 8.2.0: .NET 8 preview, use VS 2022 (v17.6 or later) | .NET 7, use VS 2022 (v17.4 or later) | .NET 6, use VS 2022 (v17.0 and later) or VS 2022 for Mac (v17.6 or later) | .NET Framework 4.8, use VS 2019 (v16.3 or later) | .NET Framework 4.6.2, use VS 2017 (v15.9 or later)

    Recommended server versions: MySQL 8.2, MySQL 8.0, or MySQL 5.7

  • C/NET 8.1.0: .NET 7, use VS 2022 (v17.4 or later) | .NET 6, use VS 2022 (v17.0 and later) or VS 2022 for Mac (v17.6 or later) | .NET Framework 4.8, use VS 2019 (v16.3 or later) | .NET Framework 4.6.2, use VS 2017 (v15.9 or later)

    Recommended server versions: MySQL 8.1, MySQL 8.0, or MySQL 5.7

  • C/NET 8.0.33: .NET 7, use VS 2022 (v17.4 or later) | .NET 6, use VS 2022 (v17.0) or VS 2022 for Mac (v17.0 preview) | .NET Core 3.1, use VS 2019 (v16.4 or later) | .NET Framework 4.8, use VS 2019 (v16.3 or later) | .NET Framework 4.6.2, use VS 2017 (v15.9 or later)

    Recommended minimum server version: MySQL 8.0.33 or MySQL 5.7.42

  • C/NET 8.0.28+: .NET 6, use VS 2022 (v17.0 or later) or VS 2019 for Mac (v8.10) | .NET 5, use VS 2019 (v16.8) or VS 2019 for Mac (v8.8) | .NET Core 3.1, use VS 2019 (v16.4 or later) | .NET Framework 4.8, use VS 2019 (v16.3 or later) | .NET Framework 4.6.2, use VS 2017 (v15.9 or later)

    Recommended minimum server version: MySQL 8.0.28 or MySQL 5.7.37

  • C/NET 8.0.23+: .NET 5, use VS 2019 (v16.8) or VS 2019 for Mac (v8.8) | .NET Core 3.1, use VS 2019 (v16.4 or later) | .NET Framework 4.8, use VS 2019 (v16.3 or later)

    Recommended minimum server version: MySQL 8.0.23 or MySQL 5.7.33

  • C/NET 8.0.22+: .NET 5, use VS 2019 (v16.7) or VS 2019 for Mac (v8.7) | .NET Core 3.1, use VS 2019 (v16.4 or later) | .NET Framework 4.8, use VS 2019 (v16.3 or later)

    Recommended minimum server version: MySQL 8.0.22 or MySQL 5.7.32

  • C/NET 8.0.20+: .NET Core 3.1, use VS 2019 (v16.4 or later) | .NET Framework 4.8, use VS 2019 (v16.3 or later)

    Recommended minimum server version: MySQL 8.0.20 or MySQL 5.7.30

  • C/NET 8.0.19+: .NET Core 3.0, use VS 2019 (v16.3 or later) | .NET Framework 4.8, use VS 2019 (v16.3 or later)

    Recommended minimum server version: MySQL 8.0.19 or MySQL 5.7.29

  • C/NET 8.0.18+: .NET Core 3.0, use VS 2019 (v16.3 or later)

    Recommended minimum server version: MySQL 8.0.18 or MySQL 5.7.28

  • C/NET 8.0.17+: .NET Core 2.2, use VS 2017 (v15.0.9 or later) | .NET Core 2.1, use VS 2017 (v15.0.7 or later)

    Recommended minimum server version: MySQL 8.0.17 or MySQL 5.7.27

  • C/NET 8.0.10+: .NET Core 2.0, use VS 2017 (v15.0.3 or later)

    Recommended minimum server version: MySQL 8.0.17 or MySQL 5.7.27

  • C/NET 8.0.8+: .NET Framework 4.5.x, use VS 2013 / 2015 / 2017

    Recommended minimum server version: MySQL 8.0.17 or MySQL 5.7.27